Bug 162712 - nscd segfaulting using nss_ldap
nscd segfaulting using nss_ldap
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
: 162326 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-07 18:23 EDT by Dan Cox
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.3.5-10.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-10 14:09:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb stack trace (3.85 KB, text/plain)
2005-07-07 18:25 EDT, Dan Cox
no flags Details
valgrind --db-attach=no --tool=memcheck --error-limit=no nscd -d (18.33 KB, text/plain)
2005-07-07 18:29 EDT, Dan Cox
no flags Details
gdb stack trace (5.07 KB, text/plain)
2005-07-22 10:46 EDT, Dominik Mierzejewski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 154782 None None None Never

  None (edit)
Description Dan Cox 2005-07-07 18:23:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I originally posted this under bug #162326, but was told this is an LDAP related problem so I'm posting here. The problem is nscd is crashing when using LDAP for NSS lookups. This same configuration worked under FC3.

I'm attaching full gdb stack trace and valgrind output. Also, /proc IS mounted and I'm not sure why valgrind is complaining about /proc/self/maps.


Version-Release number of selected component (if applicable):
nss_ldap-234-4

How reproducible:
Always

Steps to Reproduce:
1. configure nsswitch.conf for LDAP support as follows:
$ grep ldap /etc/nsswitch.conf
passwd:     files ldap
shadow:     files ldap
group:      files ldap
services:   files ldap
protocols:  files ldap
rpc:        files ldap
ethers:     files ldap
netgroup:   files ldap
aliases:    files ldap

2. setup ldap.conf
3. start nscd
  

Actual Results:  nscd segfaults

Additional info:
Comment 1 Dan Cox 2005-07-07 18:25:23 EDT
Created attachment 116493 [details]
gdb stack trace
Comment 2 Dan Cox 2005-07-07 18:29:35 EDT
Created attachment 116494 [details]
valgrind --db-attach=no --tool=memcheck --error-limit=no nscd -d
Comment 3 Dominik Mierzejewski 2005-07-22 10:40:25 EDT
Same problem, no Xen though, but the rest of the config is the same.
Comment 4 Dominik Mierzejewski 2005-07-22 10:46:09 EDT
Created attachment 117063 [details]
gdb stack trace

This is my gdb trace. Looks similar to Dan's.
Comment 5 Dominik Mierzejewski 2005-07-22 10:56:21 EDT
I also added a reference to the GCC bug which seems to be at the root of this
problem. Remove it if it's not the case.
Comment 6 Jack Aboutboul 2005-07-22 11:19:00 EDT
*** Bug 162326 has been marked as a duplicate of this bug. ***
Comment 7 Petr Krištof 2005-08-05 08:45:53 EDT
After the upgrade to glibc-2.3.5-10.2 the situation is better.
nscd dies two or three times per day only.
Comment 8 Dan Cox 2005-10-02 15:07:30 EDT
After updating glibc and nscd to 2.3.5-10.3, everything has been stable for the
last month. Not a single crash or restart required. It looks fixed to me.
Comment 9 Dominik Mierzejewski 2005-12-20 15:46:14 EST
Same here.
Comment 10 John Thacker 2007-03-10 14:09:00 EST
Closing because bug has remained in NEEDINFO state without reply for a long
period of time.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.  

Closing because previous comments imply that it's been fixed.

Note You need to log in before you can comment on or make changes to this bug.